Make WordPress Core

Changeset 50192


Ignore:
Timestamp:
02/05/2021 03:36:26 AM (3 years ago)
Author:
desrosj
Message:

Build/Test Tools: Fix tests after [50185].

This removes a test assertion defending against version ranges in the node value in package.json files. This is now supported.

Props peterwilsoncc.
See #52341.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/tests/phpunit/tests/basic.php

    r48937 r50192  
    4747        $this->assertArrayHasKey( 'engines', $package_json );
    4848        $this->assertArrayHasKey( 'node', $package_json['engines'] );
    49         $node = $package_json['engines']['node'];
    50         $this->assertRegExp( '~^=?\d+\.\d+\.\d+$~', $node, "package.json's node version cannot be a range." );
    5149    }
    5250
Note: See TracChangeset for help on using the changeset viewer.